Subject: Re: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Gerd Möllmann <[email-masked]>
Date: Wed, 13 Aug 2025 15:20:30 +0200

Alan Mackenzie <[email-masked]> writes:

> For what it's worth, I put next--marker-id into my Emacs, just as a
> counter, nothing else.
>
> In my emacs -Q, I do C-h v next--marker-id like you did, and a repeated
> g to refresh it.  I get just 76 markers made at each iteration.

Also interesting. With emacs -Q -nw, I get a delta of ca. 140, and in
the GUI (mac) I get 270.

> That makes your 472 look high indeed.  Might it possibly be there's a
> bug with DEFVAR_INT somewhere, and that 472 = 8 * 59 has wrongly got the
> 3 type bits in it, and is really just 59?  Just a suggestion.

I think that's unlikely. There are a lot such defvar, and I think
someone would have noticed such a bug.